Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.binder
Class ActionObjectBinderImpl<T extends com.jgoodies.common.internal.IActionObject>

    java.lang.Object
      com.jgoodies.binding.binder.ObjectBinderImpl
          com.jgoodies.binding.binder.ActionObjectBinderImpl<T>

All Implemented Interfaces:
  ActionObjectBinder, ObjectBinder

    public class ActionObjectBinderImpl<T extends com.jgoodies.common.internal.IActionObject>

extends ObjectBinderImpl
implements ActionObjectBinder

Adds binding capabilities for Action names, to its superclass that can bind ValueModels, SelectionInLists, Actions, and ListModel + ListSelectionModel.

Version:
  $Revision: 1.1 $
Author:
  Karsten Lentzsch

Constructor Summary
`ActionObjectBinderImpl(T target)`

Method Summary
`ActionBindingBuilder` | `bindAction(String actionName)` Looks up an Action for this binder and the given action name.
`protected T` | `getTarget()`

Methods inherited from class com.jgoodies.binding.binder.ObjectBinderImpl
`bind, bind, bind, bind, bind, bind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jgoodies.binding.binder.ObjectBinder
`bind, bind, bind, bind, bind, bind`

Constructor Detail

### ActionObjectBinderImpl

    public ActionObjectBinderImpl(T target)

Method Detail

### bindAction

    public ActionBindingBuilder bindAction(String actionName)

  Description copied from interface: `ActionObjectBinder`
  Looks up an Action for this binder and the given action name. Then creates and returns a binding builder that manages an Action that can be operated on and that can be bound to a button or text field.

  Examples:
  `binder.bindAction("edit") .to(editButton);`
  `binder.bindAction(ACTION_EDIT).to(editButton);`

  Implementations will typically look up an Action for a given action name and hand it over to `ObjectBinder.bind(javax.swing.Action)`.

  Specified by:
    `bindAction` in interface `ActionObjectBinder`
  Parameters:
    `actionName` - the name of the Action to be bound
  Returns:
    the binding builder that holds the Action

### getTarget

    protected T getTarget()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2013 JGoodies Software GmbH. All Rights Reserved.